%global srcname pudb

Summary:       A full-screen, console-based Python debugger
Name:          python-pudb
Version:       2024.1
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/inducer/pudb
Source0:       %{pypi_source}

BuildRequires: python3-devel python3-pytest python3-pytest-mock pyproject-rpm-macros
BuildArch:     noarch

%description
PuDB is a full-screen, console-based visual debugger for Python.

Its goal is to provide all the niceties of modern GUI-based debuggers in a more
lightweight and keyboard-friendly package. PuDB allows you to debug code right
where you write and test it--in a terminal. If you've worked with the excellent
(but nowadays ancient) DOS-based Turbo Pascal or C tools, PuDB's UI might look
familiar.

%package -n python3-%{srcname}
Summary:       A full-screen, console-based Python debugger

%description -n python3-%{srcname}
PuDB is a full-screen, console-based visual debugger for Python.

Its goal is to provide all the niceties of modern GUI-based debuggers in a more
lightweight and keyboard-friendly package. PuDB allows you to debug code right
where you write and test it--in a terminal. If you've worked with the excellent
(but nowadays ancient) DOS-based Turbo Pascal or C tools, PuDB's UI might look
familiar.

%prep
%autosetup -p1 -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

sed -i '1{\@^#! /usr/bin/env python@d}' pudb/debugger.py

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/pudb

%changelog
* Thu Jan 18 2024 Shuo Wang <abushwang@tencent.com> - 2024.1-1
- initial build
